uwsgi (2.0.31-6build1) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 24 Jul 2026 11:23:32 +0000

uwsgi (2.0.31-6) unstable; urgency=medium

  * make pkg:uwsgi-initscripts break older pkg:uwsgi (Closes: #1141552)

 -- Alexandre Rossi <niol@zincube.net>  Tue, 07 Jul 2026 12:27:26 +0200

uwsgi (2.0.31-5) unstable; urgency=medium

  * doc: remove useless advice to enable uwsgi-app service (triggered by socket)
  * document migration from legacy initscript to systemd (Closes: #1130481)
  * rename uwsgi-core pkg to uwsgi and move sysv scripts to uwsgi-initscripts
  * declare compliance to policy 4.7.4 (no change)
  * fix underflow when using mountpoints with trailing-/ (Closes: #1133977)
  * add transitional package for better handling of uwsgi-core rename

 -- Alexandre Rossi <niol@zincube.net>  Sun, 31 May 2026 10:56:07 +0200

uwsgi (2.0.31-4) unstable; urgency=medium

  * autopkgtest: fix test_mountpoints failure
  * plugin jvm: allow one to set jvm compat release

 -- Alexandre Rossi <niol@zincube.net>  Mon, 09 Mar 2026 23:28:50 +0100

uwsgi (2.0.31-3) unstable; urgency=medium

  * -dbgsym migration now done
  * uwsgi-extra is Multi-Arch foreign
  * autopkgtest: fix test_mountpoints not run
  * fix pidfile default permissions (Closes: #934731, #1128380)

 -- Alexandre Rossi <niol@zincube.net>  Sun, 22 Feb 2026 18:17:03 +0100

uwsgi (2.0.31-2) unstable; urgency=medium

  * fix pypy tests for uwsgi-plugin-pypy pkg
  * rack plugin: fix bad headers with multiple values (Closes: #1125369)
  * declare compliance to policy 4.7.3 (remove Priority field in d/control)
  * remove now alien override library-not-linked-against-libc
  * drop kfreebsd-specific dep rules (arch removed some time ago)
  * do not install vcs control file in binary package uwsgi-src

 -- Alexandre Rossi <niol@zincube.net>  Fri, 16 Jan 2026 21:51:30 +0100

uwsgi (2.0.31-1) unstable; urgency=medium

  * New upstream release 2.0.31
  * drop upstream'd patches

 -- Alexandre Rossi <niol@zincube.net>  Sun, 12 Oct 2025 19:00:49 +0200

uwsgi (2.0.30-1) unstable; urgency=medium

  [ upstream ]
  * release 2.0.30

  [ Jonas Smedegaard ]
  * remove myself as uploader

  [ Alexandre Rossi ]
  * add explicit build depend on libcrypt-dev (Closes: #1107044)
  * drop 1005_avoid_auto_ptr.patch (mongodb and gridfs plugins do not work)
  * silence some lintian issues that do not need fixing
  * fix some user visible typos
  * sort out patch headers and forward most
  * fix FTBS of pty and tuntap plugins (Closes: #1114429)

 -- Alexandre Rossi <niol@zincube.net>  Mon, 08 Sep 2025 10:38:26 +0200

uwsgi (2.0.29-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * add patch to handle backlog of UNIX socket too
  * add patch to fix build with gcc-15 (Closes: #1098052)
  * remove patches which have been integrated upstream
  * add patch to use python3

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Apr 2025 22:24:52 +0200

uwsgi (2.0.28-9) unstable; urgency=medium

  [ Alexandre Rossi ]
  * link with -z noexestack
    closes: bug#1096104

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Mar 2025 20:27:35 +0100

uwsgi (2.0.28-8) unstable; urgency=medium

  * avoid installing examples in indep-only build

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 14:22:14 +0100

uwsgi (2.0.28-7) unstable; urgency=medium

  * build-depend (not -indep) on shellcheck

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 12:38:04 +0100

uwsgi (2.0.28-6) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * simplify packaging;
    use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat (not cdbs dh-buildinfo);
    closes: bug#1076420
  * support DEB_BUILD_OPTIONS=nodoc

  [ Alexandre Rossi ]
  * add patch i1004 to make rack plugin compatible with rack3;
    closes: #1094637

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 02:24:37 +0100

uwsgi (2.0.28-5) unstable; urgency=medium

  * revert packaging simplification;
    build-depend on cdbs (not dh-compat);
    reopens: bug#1076420

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jan 2025 03:27:54 +0100

uwsgi (2.0.28-4) unstable; urgency=medium

  * fix arch/indep build targets

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jan 2025 02:12:55 +0100

uwsgi (2.0.28-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * add patch to fix pypy tests when run from another dir
  * simplify packaging;
    build-depend on dh-compat (not cdbs);
    closes: bug#1076420

  [ Jonas Smedegaard ]
  * stop provide metapackages
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2025 18:34:36 +0100

uwsgi (2.0.28-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * stop build-depend on dh-buildinfo;
    closes: bug#1088393
  * add 1007_fix_php_pypy_tests.patch
  * stop build or provide plugins now built externally:
    gccgo glusterfs java lua psgi python rados ruby;
    closes: bug#868752, #1069875, #1092756, #1093818
  * stop build useless binary uwsgi-core-local

  [ Jonas Smedegaard ]
  * simplify long description slightly,
    to mention less details for separately built packages
  * update copyright info:
    + use field Reference
    + update coverage
  * have binary package uwsgi-app-integration-plugins depend on
    new separately built uwsgi-plugin-pypy3
  * drop done or externalized TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Jan 2025 20:27:36 +0100

uwsgi (2.0.28-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Alexandre Rossi ]
  * remove obsolete README.source
  * drop patch 1004, applied upstream
  * add patch 2002 to ensure stable py plugins name for users
  * tidy rules file related to obsolete apache2 debhelper snippets
  * autopkgtest python3, cgi, psgi and rack plugins

  [ Jonas Smedegaard ]
  * unfuzz and reorder patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Oct 2024 22:50:18 +0200

uwsgi (2.0.26-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * drop libapache2-mod-{uwsgi,ruwsgi} considered deprecated
  * fix dh_clean confusion between manpages and binary pkg dirs
  * drop mono plugin, mono runtime in bad shape in Debian;
    closes: #1079881
  * add patch porting pypy plugin to pypy3
  * add upstream integration tests to uwsgi-src

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2024 11:51:00 +0200

uwsgi (2.0.26-3) unstable; urgency=medium

  [ Alexandre Rossi & Jonas Smedegaard ]
  * simplify packaging

  [ Jonas Smedegaard ]
  * reintroduce perl module coroae
    (bug#787500 was solved without dropping coro from Debian)
  * stop build Apache2 module mod-proxy,
    not installed since 2.0.15-11
  * fix register Apache2 modules
  * fix avoid cleaning apache2 hint files,
    no longer generated during build

  [ Alexandre Rossi ]
  * install apache2 module sources and uwsgidecorators.py
    with binary package uwsgi-src

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Aug 2024 12:40:25 +0200

uwsgi (2.0.26-2) unstable; urgency=medium

  * drop 2to3 build-dep (Closes: #1073232)
  * fix python3-uwsgidecorators description regarding py3 compat
  * don't suggest cherokee web server (removed from Debian in 2012)
  * fix installable-field-mirrors-source Priority

 -- Alexandre Rossi <niol@zincube.net>  Mon, 15 Jul 2024 09:47:19 +0200

uwsgi (2.0.26-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * silence lintian on plugins needing linking to libc (unneeded)
  * remove shebang on initscript modules that are only sourced
  * remove obolete Provides/Conflicts of uwsgi-core
  * uwsgi-emperor is arch independent
  * drop useless build dep on libbz2-dev, libdb-dev, libonig-dev
  * drop 1007_purge_lru-restore-fix.patch (already applied in source)
  * unfuzz patches
  * run upstream integration tests as autopkgtest

 -- Alexandre Rossi <niol@zincube.net>  Fri, 07 Jun 2024 14:14:18 +0200

uwsgi (2.0.25.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Alexandre Rossi ]
  * drop useless dependency on lsb-base
  * build-Depend on pkgconf (not pkg-config)

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream, obsoleted by upstream changes
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Apr 2024 01:57:51 +0200

uwsgi (2.0.24-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * disable rados plugin on 32 bits archs;
    closes: #1053196, thanks to Thomas Goirand
  * drop useless dep on python3-distutils;
    closes: #1065996, thanks to Graham Inggs
  * fix bashism in initscript;
    closes: #772386, thanks to Raphael Geissert

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Apr 2024 22:01:33 +0200

uwsgi (2.0.24-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * add debian/uwsgi.pydist for dh-python3 map;
    closes: #1060234, thanks to Jérémy Lal

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 19:46:57 +0100

uwsgi (2.0.24-1) unstable; urgency=medium

  * update and unfuzz patches
  * move system units to /usr for DEP17;
    closes: bug#1063691, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 19:29:35 +0100

uwsgi (2.0.23-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * add patch 1007 to properly init cache for purge_lru

  [ Jonas Smedegaard ]
  * unfuzz patches; update DEP-3 patch headers
  * add arch riscv64 to rados build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 13:35:41 +0100

uwsgi (2.0.22-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * fix typo in d/uwsgi-core.README.Debian
  * update pcre2 patch from upstream merge request
  * add documentation link to systemd unit files
  * systemd socket unit: directly use /run instead of /var/run
  * add lintian override for missing uwsgi systemd service (Closes: #833067)
  * fix regular expressions for mangling debian/rules;
    really truly closes: bug#1051752

  [ Jonas Smedegaard ]
  * update regular expressions for mangling debian/rules:
    + tighten and merge patterns
    + fix properly cover greenlet openjdk mono rados gccgo
      (not only glusterfs)
  * really exclude arch mipsel and add arch riscv64
    related to greenlet openjdk mono rados gccgo

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Sep 2023 17:18:53 +0200

uwsgi (2.0.22-3) unstable; urgency=medium

  * fix refreshing build-dependencies
    with custom command `DEB_MAINTAINER_MODE=1 debian/rules clean`
  * update arch-specific build-dependencies;
    really closes: bug#1051752, thanks (again) to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Sep 2023 09:46:25 +0200

uwsgi (2.0.22-2) unstable; urgency=medium

  * exclude arches armel armhf i386 from glusterfs build-dependencies,
    and add arch riscv64;
    closes: bug#1051752, thanks to Sebastian Ramacher
  * exclude arch mipsel from gccgo build-dependencies
  * exclude arch mipsel from greenlet build-dependencies,
    and add arch riscv64
  * exclude arch mipsel from mono build-dependencies
  * exclude arch mipsel from openjdk17 build-dependencies,
    and add arch riscv64
  * exclude arch mipsel from rados build-dependencies
  * drop binary package uwsgi-plugin-lua5.2;
    stop build-depend on liblua5.2-dev;
    closes: bug#1050753, thanks to Bastian Germann

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Sep 2023 22:03:09 +0200

uwsgi (2.0.22-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2023 10:30:30 +0200

uwsgi (2.0.21-6) unstable; urgency=medium

  * add patch cherry-picked upstream to switch to pcre2;
    build-depend on libpcre2-dev (not libpcre3-dev);
    closes: bug#999936, thanks to Matthew Vernon and Alexandre Rossi
  * enable riscv64 in gccgo build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Jul 2023 08:55:53 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog uwsgi-extra`.
